# Generated by Django 3.2.9 on 2022-10-24 04:18

import dj_materialized_views.models
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('django_celery_beat', '0006_auto_20180210_1226'),
    ]

    operations = [
        migrations.CreateModel(
            name='MaterializedView',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('db_table', models.CharField(help_text='Name of the Materialized View table', max_length=255)),
                ('sql_query', models.TextField(help_text='SQL query to be materialize')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('last_run_date', models.DateTimeField(auto_now=True)),
                ('created_by_user', models.ForeignKey(blank=True, editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
                ('periodic_task', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='django_celery_beat.periodictask')),
            ],
            options={
                'verbose_name': 'Materialized View',
                'verbose_name_plural': 'Materialized Views',
            },
        ),
        migrations.CreateModel(
            name='MaterializedViewIndex',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('index_type', models.CharField(choices=[('BTREE', 'btree'), ('GIN', 'gin'), ('GIST', 'gist'), ('HASH', 'hash')], default=dj_materialized_views.models.MaterializedViewIndex.IndexType['BTREE'], max_length=255)),
                ('index_field', models.CharField(help_text='DB field to be indexed', max_length=255)),
                ('is_unique', models.BooleanField(default=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('last_run_date', models.DateTimeField(auto_now=True)),
                ('created_by_user', models.ForeignKey(blank=True, editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
                ('materialized_view', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='indexes', to='dj_materialized_views.materializedview')),
            ],
            options={
                'verbose_name': 'Materialized View Index',
                'verbose_name_plural': 'Materialized View Indexes',
            },
        ),
    ]
